﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ChangeColorForms
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            sliderA.Value = 255;
            sliderR.Value = 0;
            sliderG.Value = 0;
            sliderB.Value = 0;
        }

        public void SetColor()
        {
            Color color = Color.FromArgb((byte)sliderA.Value, (byte)sliderR.Value, (byte)sliderG.Value, (byte)sliderB.Value);
            this.stackPanel1.Background = new SolidColorBrush(color);
        }

        private void sliderR_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            this.label1.Content = "红色:";
            this.label1.Content += ((int)sliderR.Value).ToString();
            SetColor();
            this.textBox1.Text = "#" + Convert.ToString(((int)sliderR.Value), 16) + Convert.ToString(((int)sliderG.Value), 16) + Convert.ToString(((int)sliderB.Value), 16);
        }

        private void sliderG_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            this.label2.Content = "绿色:";
            this.label2.Content += ((int)sliderG.Value).ToString();
            SetColor();
            this.textBox1.Text = "#" + Convert.ToString(((int)sliderR.Value), 16) + Convert.ToString(((int)sliderG.Value), 16) + Convert.ToString(((int)sliderB.Value), 16);
        }

        private void sliderB_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            this.label3.Content = "蓝色:";
            this.label3.Content += ((int)sliderB.Value).ToString();
            SetColor();
            this.textBox1.Text = "#" + Convert.ToString(((int)sliderR.Value), 16) + Convert.ToString(((int)sliderG.Value), 16) + Convert.ToString(((int)sliderB.Value), 16);
        }

        private void sliderA_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            this.label4.Content = "透明度:";
            this.label4.Content += ((int)sliderA.Value).ToString();
            SetColor();
            this.textBox1.Text = "#" + Convert.ToString(((int)sliderR.Value), 16) + Convert.ToString(((int)sliderG.Value), 16) + Convert.ToString(((int)sliderB.Value), 16);
        }
    }
}
